#ifndef MDUMPEVTHEADER_H
#define MDUMPEVTHEADER_H

#ifndef MAGIC_h
#include "MAGIC.h"
#endif

#ifndef MTASK_H
#include "MTask.h"
#endif

class MRawEvtHeader;
class MRawEvtData;
class MParList;

class MDumpEvtHeader : public MTask {
 private:
  MRawEvtHeader    *fRawEvtHeader;

  MRawEvtData      *fRawEvtData;

 public:
  MDumpEvtHeader () : fRawEvtHeader(NULL) { } ;

  Bool_t PreProcess(MParList *pList);
  Bool_t Process() ;
  
  ClassDef(MDumpEvtHeader, 1)	// Class to dump the pixel ids of a raw evt to the screen

};
    
#endif
